list
HTTP Request
GET /api/v1/datasets/:datasetReference/access
GET /api/v1/organizations/:organizationName/members/:userName/accessPath parameters
organizationName
The username of the organization for which to list access.
userName
The username of the user for which to list access.
datasetReference
A qualified reference to the dataset for which you want to list access. See referencing resources for more information.
Query parameters
maxResults
Default 100. Must be less than 1000.
pageToken
For paginating through results, provide the value returned from the previous access.list call.
minAccessLevel
Must be one of none, overview, metadata, sample, data, edit
If specified, only access objects whose access level is greater than or equal to minAccessLevel will be returned.
Authorization
If you are listing access for a member in an organization, you must be an administrator of the relevant organization. If you are listing access for a particular dataset, you must be an administrator of the organization that hosts the dataset, or, if the dataset is owned by a user, you must be the owner or an editor of the dataset.
Your access token must have one of the following scopes:
organization.read
Request body
The request body must be empty.
Response body
Returns a JSON representation of an array of access resources.
Was this helpful?

